# Note that this is NOT a relocatable package
%define ver      1.2.0
%define prefix   /usr

Summary: GNOME media programs.
Name: gnome-media
Version: %ver
Release: 7
Copyright: LGPL
Group: Applications/Multimedia
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/gnome-media-%{ver}.tar.gz
Source1: gtcd.idl
Source2: gtcd.goad
Source3: gtcd-docs.tar.gz
BuildRoot: /var/tmp/gnome-media-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

Requires: extace >= 1.1.14

Patch1: gnome-media-0.99.1-sparccd.patch
Patch3: gnome-media-1.0.40-keepclosed.patch
Patch4: gnome-media-1.0.51-gtcdcorba.patch
Patch5: gnome-media-1.0.40-mocorba.patch
Patch6: gnome-media-1.0.40-fixedcorba.patch
Patch7: gnome-media-1.0.40-nogerror.patch
Patch8: gnome-media-1.2.0-docs.patch
Patch9: gnome-media-1.2.0-fullcommandpaths.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

Install gnome-media if you want to use GNOME's multimedia
capabilities.

%changelog
* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Find "sox", bug 15472, patch from Alan

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Add docs for gtcd, bug 14558

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- Remove docdir

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.0
- use %%makeinstall

* Tue Sep 21 1999 Havoc Pennington <hp@redhat.com>
- Fixed gtcd so it works without corba-gtcd
- add DrMike's no-g_error() patch 

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Don't keep device open in gtcd

* Thu Sep 9 1999 Owen Taylor <otaylor@redhat.com>
- Fixed warnings with previous

* Wed Sep 8 1999 Owen Taylor <otaylor@redhat.com>
- added --play option to gtcd

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9.1

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree

%prep
%setup -q

%patch1 -p1 -b .sparccd
%patch3 -p1 -b .keepclosed
%patch4 -p1 -b .gtcdcorba
%patch5 -p1 -b .mocorba
%patch6 -p1 -b .fixedcorba
%patch7 -p1 -b .nogerror
%patch8 -p1 -b .docs
%patch9 -p1 -b .fullcommandpaths

#touch -t 197101010101 configure.in tcd/Makefile.am
#aclocal -I macros
automake --include-deps tcd/Makefile
autoconf
cp $RPM_SOURCE_DIR/{gtcd.idl,gtcd.goad} tcd

%build

automake
%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

# make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install
%makeinstall

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/not strip/ { print $1 }'`

(mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/gnome/help && cd $RPM_BUILD_ROOT/%{prefix}/share/gnome/help && tar zxf %{SOURCE3})

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnome/help/*
%config /etc/CORBA/servers/*

